- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CglLandP::Parameters Class Reference

Class storing parameters. More...

`#include <CglLandP.hpp>`

Inheritance diagram for CglLandP::Parameters:
[legend]
Collaboration diagram for CglLandP::Parameters:
[legend]

## Public Member Functions
| Parameters ()
| Default constructor (with default values) More...
| Parameters (const Parameters &other)
| Copy constructor. More...
Parameters & | operator= (const Parameters &other)
| Assignment opertator. More...
Public Member Functions inherited from CglParam
virtual void | setINFINIT (const double inf)
| Set INFINIT. More...
double | getINFINIT () const
| Get value of INFINIT. More...
virtual void | setEPS (const double eps)
| Set EPS. More...
double | getEPS () const
| Get value of EPS. More...
virtual void | setEPS_COEFF (const double eps_c)
| Set EPS_COEFF. More...
double | getEPS_COEFF () const
| Get value of EPS_COEFF. More...
virtual void | setMAX_SUPPORT (const int max_s)
| Set MAX_SUPPORT. More...
int | getMAX_SUPPORT () const
| Get value of MAX_SUPPORT. More...
| CglParam (const double inf=COIN_DBL_MAX, const double eps=1e-6, const double eps_c=1e-5, const int max_s=COIN_INT_MAX)
| Default constructor. More...
| CglParam (const CglParam &)
| Copy constructor. More...
virtual CglParam * | clone () const
| Clone. More...
CglParam & | operator= (const CglParam &rhs)
| Assignment operator. More...
virtual | ~CglParam ()
| Destructor. More...

## Public Attributes
integer parameters
int | pivotLimit
| Max number of pivots before we generate the cut 20. More...
int | pivotLimitInTree
| Max number of pivots at regular nodes. More...
int | maxCutPerRound
| Maximum number of cuts generated at a given round. More...
int | failedPivotLimit
| Maximum number of failed pivots before aborting. More...
int | degeneratePivotLimit
| maximum number of consecutive degenerate pivots 0 More...
int | extraCutsLimit
| Maximum number of extra rows to generate per round. More...
double parameters
double | pivotTol
| Tolerance for small pivots values (should be the same as the solver. More...
double | away
| A variable have to be at least away from integrity to be generated. More...
double | timeLimit
| Total time limit for cut generation. More...
double | singleCutTimeLimit
| Time limit for generating a single cut. More...
double | rhsWeight
| Weight to put in RHS of normalization if static. More...
Flags
bool | useTableauRow
| Do we use tableau row or the disjunction (I don't really get that there should be a way to always use the tableau) More...
bool | modularize
| Do we apply Egon Balas's Heuristic for modularized cuts. More...
bool | strengthen
| Do we strengthen the final cut (always do if modularize is 1) More...
bool | countMistakenRc
| Wether to limit or not the number of mistaken RC (when perturbation is applied). More...
SeparationSpaces | sepSpace
| Work in the reduced space (only non-structurals enter the basis) More...
bool | perturb
| Apply perturbation procedure. More...
Normalization | normalization
| How to weight normalization. More...
RhsWeightType | rhsWeightType
| How to weight RHS of normalization. More...
LHSnorm | lhs_norm
| How to weight LHS of normalization. More...
ExtraCutsMode | generateExtraCuts
| Generate extra constraints from optimal lift-and-project basis. More...
SelectionRules | pivotSelection
| Which rule to apply for choosing entering and leaving variables. More...

## Additional Inherited Members
Protected Attributes inherited from CglParam
double | INFINIT
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX. More...
double | EPS
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX. More...
double | EPS_COEFF
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX. More...
int | MAX_SUPPORT
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX. More...

## Detailed Description

Class storing parameters.

Remarks
  I take all parameters from Ionut's code

Definition at line 107 of file CglLandP.hpp.

## Constructor & Destructor Documentation

CglLandP::Parameters::Parameters | ( |  | ) |

Default constructor (with default values)

CglLandP::Parameters::Parameters | ( | const Parameters & | other | ) |

Copy constructor.

## Member Function Documentation

Parameters& CglLandP::Parameters::operator= | ( | const Parameters & | other | ) |

Assignment opertator.

## Member Data Documentation

int CglLandP::Parameters::pivotLimit

Max number of pivots before we generate the cut 20.

Definition at line 121 of file CglLandP.hpp.

int CglLandP::Parameters::pivotLimitInTree

Max number of pivots at regular nodes.

Put a value if you want it lower than the global pivot limit. 100.

Definition at line 124 of file CglLandP.hpp.

int CglLandP::Parameters::maxCutPerRound

Maximum number of cuts generated at a given round.

Definition at line 126 of file CglLandP.hpp.

int CglLandP::Parameters::failedPivotLimit

Maximum number of failed pivots before aborting.

Definition at line 128 of file CglLandP.hpp.

int CglLandP::Parameters::degeneratePivotLimit

maximum number of consecutive degenerate pivots 0

Definition at line 131 of file CglLandP.hpp.

int CglLandP::Parameters::extraCutsLimit

Maximum number of extra rows to generate per round.

Definition at line 133 of file CglLandP.hpp.

double CglLandP::Parameters::pivotTol

Tolerance for small pivots values (should be the same as the solver.

Definition at line 138 of file CglLandP.hpp.

double CglLandP::Parameters::away

A variable have to be at least away from integrity to be generated.

Definition at line 140 of file CglLandP.hpp.

double CglLandP::Parameters::timeLimit

Total time limit for cut generation.

Definition at line 142 of file CglLandP.hpp.

double CglLandP::Parameters::singleCutTimeLimit

Time limit for generating a single cut.

Definition at line 144 of file CglLandP.hpp.

double CglLandP::Parameters::rhsWeight

Weight to put in RHS of normalization if static.

Definition at line 146 of file CglLandP.hpp.

bool CglLandP::Parameters::useTableauRow

Do we use tableau row or the disjunction (I don't really get that there should be a way to always use the tableau)

Definition at line 152 of file CglLandP.hpp.

bool CglLandP::Parameters::modularize

Do we apply Egon Balas's Heuristic for modularized cuts.

Definition at line 154 of file CglLandP.hpp.

bool CglLandP::Parameters::strengthen

Do we strengthen the final cut (always do if modularize is 1)

Definition at line 156 of file CglLandP.hpp.

bool CglLandP::Parameters::countMistakenRc

Wether to limit or not the number of mistaken RC (when perturbation is applied).

Definition at line 158 of file CglLandP.hpp.

SeparationSpaces CglLandP::Parameters::sepSpace

Work in the reduced space (only non-structurals enter the basis)

Definition at line 160 of file CglLandP.hpp.

bool CglLandP::Parameters::perturb

Apply perturbation procedure.

Definition at line 162 of file CglLandP.hpp.

Normalization CglLandP::Parameters::normalization

How to weight normalization.

Definition at line 164 of file CglLandP.hpp.

RhsWeightType CglLandP::Parameters::rhsWeightType

How to weight RHS of normalization.

Definition at line 166 of file CglLandP.hpp.

LHSnorm CglLandP::Parameters::lhs_norm

How to weight LHS of normalization.

Definition at line 168 of file CglLandP.hpp.

ExtraCutsMode CglLandP::Parameters::generateExtraCuts

Generate extra constraints from optimal lift-and-project basis.

Definition at line 170 of file CglLandP.hpp.

SelectionRules CglLandP::Parameters::pivotSelection

Which rule to apply for choosing entering and leaving variables.

Definition at line 172 of file CglLandP.hpp.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Cgl/src/CglLandP/CglLandP.hpp